Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd
Interface SdConnector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SdGeneratable, SdNamedElement

All Known Implementing Classes:
  SdConnectorImpl

    public interface SdConnector

extends SdGeneratable

A representation of the model object 'Connector'.

The following features are supported:

- `To Element`

See Also:
  `SdPackage.getSdConnector()`

Method Summary
`SdAbstractVariable` | `getToElement()` Returns the value of the 'To Element' reference.
`void` | `setToElement(SdAbstractVariable value)` Sets the value of the '`To Element`' reference.

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getToElement

    SdAbstractVariable getToElement()

  Returns the value of the 'To Element' reference.

  If the meaning of the 'To Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'To Element' reference.
  See Also:
    `setToElement(SdAbstractVariable)`, `SdPackage.getSdConnector_ToElement()`

### setToElement

    void setToElement(SdAbstractVariable value)

  Sets the value of the '`To Element`' reference.

  Parameters:
    `value` - the new value of the 'To Element' reference.
  See Also:
    `getToElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD